Subject: bug#57789: Emacs 28.1 clone build with native compilation crashes on s390x

From: Andrea Corallo <[email-masked]>
Date: Fri, 16 Sep 2022 08:43:37 +0000

Paul Eggert <[email-masked]> writes:

> On 9/15/22 02:10, Eli Zaretskii wrote:
>>> Of course that's not remotely conclusive, but if all of the C code
>>> wasn't written with strict-aliasing in mind, then I wondered if it might
>>> make sense to consider adding -fno-strict-aliasing as a default option.
>> I don't know enough about this.  Perhaps Andrea or Paul could comment.
>>
> Throwing -fno-strict-aliasing in the mix is a bit like throwing -O1
> into the mix. I'm not surprised it would cause a Heisenbug to vanish;
> it doesn't mean strict aliasing is the problem.

Hi Paul,

totally agree with you.  The fact that even -g has an impact here
clearly shows that initial conditions are not necessary directly
connected with the final symptom we observe.

Best Regards

  Andrea